Package ch.qos.logback.core.rolling

## Class SizeAndTimeBasedRollingPolicy<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.RollingPolicyBase
    - - ch.qos.logback.core.rolling.TimeBasedRollingPolicy<E>
      - - ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy<E>

All Implemented Interfaces:
  `RollingPolicy`, `TriggeringPolicy<E>`, `ContextAware`, `LifeCycle`

    public class SizeAndTimeBasedRollingPolicy<E>
    extends TimeBasedRollingPolicy<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.TimeBasedRollingPolicy

`totalSizeCap`

### Fields inherited from class ch.qos.logback.core.rolling.RollingPolicyBase

`compressionMode, fileNamePatternStr`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`SizeAndTimeBasedRollingPolicy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setMaxFileSize​(FileSize aMaxFileSize)`
`void` `start()`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.rolling.TimeBasedRollingPolicy

`getActiveFileName, getMaxHistory, getTimeBasedFileNamingAndTriggeringPolicy, isCleanHistoryOnStart, isTriggeringEvent, isUnboundedTotalSizeCap, rollover, setCleanHistoryOnStart, setMaxHistory, setTimeBasedFileNamingAndTriggeringPolicy, setTotalSizeCap, stop`

### Methods inherited from class ch.qos.logback.core.rolling.RollingPolicyBase

`determineCompressionMode, getCompressionMode, getFileNamePattern, getParentsRawFileProperty, isParentPrudent, isStarted, setFileNamePattern, setParent`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted`

### Constructor Detail

#### SizeAndTimeBasedRollingPolicy

    public SizeAndTimeBasedRollingPolicy()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `TimeBasedRollingPolicy<E>`

#### setMaxFileSize

    public void setMaxFileSize​(FileSize aMaxFileSize)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TimeBasedRollingPolicy<E>`